Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155813 - rsh error poll: protocol failure in circuit setup after 290 connections
Summary: rsh error poll: protocol failure in circuit setup after 290 connections
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rsh
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-23 20:15 UTC by Jon Camp
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-24 08:21:14 UTC


Attachments (Terms of Use)

Description Jon Camp 2005-04-23 20:15:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
This is exactly the same as bugs 59876 and 88644 reported but the updated packages don't fix the problem in RedHat ES 3.








Version-Release number of selected component (if applicable):
rsh-0.17-17

How reproducible:
Always

Steps to Reproduce:
To duplicate the error, run a script such as the following:

retry=1
while [ "$retry" -lt 300 ]
do
rsh <hostname> ls > /dev/null
echo $retry
retry=$(($retry +1))
done
  

Actual Results:  After rsh connection 290 the system returns the error:
poll: protocol failure in circuit setup 

Expected Results:  no error

Additional info:

# rpm -q rsh
rsh-0.17-17

# rpm -q xinetd
xinetd-2.3.12-6.3E

# rpm -q rsh-server
rsh-server-0.17-17

Comment 1 Karel Zak 2005-04-24 08:21:14 UTC
The "rsh" uses limited number of privilege ports (ports between 512 and 1013).
If all ports are used the server cannot creates new (stderr) connection to
client (don't forget "rsh" uses two connection for each session).

You can try workaround: http://people.redhat.com/kzak/rsh/rsh-fifo/

Comment 2 Jon Camp 2005-04-24 18:29:49 UTC
Great the rsh-fifo wrapper worked great and is much faster than using rsh 
directly.  Thanks for your quick response!
Jon.


Note You need to log in before you can comment on or make changes to this bug.